Home page logo
/

bugtraq logo Bugtraq mailing list archives

[OpenPKG-SA-2004.054] OpenPKG Security Advisory (samba)
From: OpenPKG <openpkg () openpkg org>
Date: Fri, 17 Dec 2004 17:11:17 +0100

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

________________________________________________________________________

OpenPKG Security Advisory                            The OpenPKG Project
http://www.openpkg.org/security.html              http://www.openpkg.org
openpkg-security () openpkg org                         openpkg () openpkg org
OpenPKG-SA-2004.054                                          17-Dec-2004
________________________________________________________________________

Package:             samba
Vulnerability:       denial of service, arbitrary code execution
OpenPKG Specific:    no

Affected Releases:   Affected Packages:          Corrected Packages:
OpenPKG CURRENT      <= samba-3.0.9-20041119     >= samba-3.0.10-20041216
OpenPKG 2.2          <= samba-3.0.7-2.2.0        >= samba-3.0.7-2.2.1
OpenPKG 2.1          <= samba-3.0.4-2.1.2        >= samba-3.0.4-2.1.3

Dependent Packages:  none

Description:
  Several vulnerabilities exist in the Samba SMB/CIFS server [1]. The
  OpenPKG team applied official patches where available and backported
  others to address all known issues.

  According to a security advisory [2] from Stefan Esser a
  Unicode filename buffer overflow within the handling of
  "TRANSACT2_QFILEPATHINFO" replies was discovered that allows remote
  execution of arbitrary code. The Common Vulnerabilities and Exposures
  (CVE) project assigned the id CAN-2004-0882 [4] to the problem.

  A problem in the ms_fnmatch() function allows remote authenticated
  users to consume excessive CPU horsepower and cause a denial of
  service via a SMB request that contains multiple asterisk characters.
  The Common Vulnerabilities and Exposures (CVE) project assigned the id
  CAN-2004-0930 [5] to the problem.

  According to a security advisory [3] from the Samba team, an integer
  overflow vulnerability in the "smbd" daemon could allow an attacker
  to cause controllable heap corruption, leading to execution of
  arbitrary commands with root privileges. The Common Vulnerabilities
  and Exposures (CVE) project assigned the id CAN-2004-1154 [6] to the
  problem.

  Please check whether you are affected by running "<prefix>/bin/openpkg
  rpm -q samba". If you have the "samba" package installed and its
  version is affected (see above), we recommend that you immediately
  upgrade it (see Solution) [7][8].

Solution:
  Select the updated source RPM appropriate for your OpenPKG release
  [9][10], fetch it from the OpenPKG FTP service [11][12] or a mirror
  location, verify its integrity [13], build a corresponding binary RPM
  from it [7] and update your OpenPKG installation by applying the
  binary RPM [8]. For the most recent release OpenPKG 2.2, perform the
  following operations to permanently fix the security problem (for
  other releases adjust accordingly).

  $ ftp ftp.openpkg.org
  ftp> bin
  ftp> cd release/2.2/UPD
  ftp> get samba-3.0.7-2.2.1.src.rpm
  ftp> bye
  $ <prefix>/bin/openpkg rpm -v --checksig samba-3.0.7-2.2.1.src.rpm
  $ <prefix>/bin/openpkg rpm --rebuild samba-3.0.7-2.2.1.src.rpm
  $ su -
  # <prefix>/bin/openpkg rpm -Fvh <prefix>/RPM/PKG/samba-3.0.7-2.2.1.*.rpm
________________________________________________________________________

References:
  [1] http://www.samba.org/
  [2] http://security.e-matters.de/advisories/132004.html
  [3] http://us4.samba.org/samba/security/CAN-2004-1154.html
  [4] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0882
  [5] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0930
  [6] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-1154
  [7] http://www.openpkg.org/tutorial.html#regular-source
  [8] http://www.openpkg.org/tutorial.html#regular-binary
  [9] ftp://ftp.openpkg.org/release/2.2/UPD/samba-3.0.7-2.2.1.src.rpm
  [10] ftp://ftp.openpkg.org/release/2.1/UPD/samba-3.0.4-2.1.3.src.rpm
  [11] ftp://ftp.openpkg.org/release/2.2/UPD/
  [12] ftp://ftp.openpkg.org/release/2.1/UPD/
  [13] http://www.openpkg.org/security.html#signature
________________________________________________________________________

For security reasons, this advisory was digitally signed with the
OpenPGP public key "OpenPKG <openpkg () openpkg org>" (ID 63C4CB9F) of the
OpenPKG project which you can retrieve from http://pgp.openpkg.org and
hkp://pgp.openpkg.org. Follow the instructions on http://pgp.openpkg.org/
for details on how to verify the integrity of this advisory.
________________________________________________________________________

-----BEGIN PGP SIGNATURE-----
Comment: OpenPKG <openpkg () openpkg org>

iD8DBQFBwwUUgHWT4GPEy58RAjBiAKDNrWDjb2mM3ZqPLqo8M3ukvvs/sgCeMqYQ
WcM7fuYB9Qbixyinb8wlPXo=
=rNqz
-----END PGP SIGNATURE-----


  By Date           By Thread  

Current thread:
  • [OpenPKG-SA-2004.054] OpenPKG Security Advisory (samba) OpenPKG (Dec 17)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault